/*
 * Part of Xlab Interface
 *
 * Created: 2018-10-14
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "globaloptions.h"
#include <QPaintDevice>


GlobalOptions::GlobalOptions()
{
    version = "1.2";
    fontFamily = "Courier";
    fontSize = 9;
    scaleFactorX = 1.0;
    scaleFactorY = 1.0;
}

QString GlobalOptions::getName()
{
    return "Global";
}

QString GlobalOptions::getCommonName()
{
    return "Global";
}

QString GlobalOptions::getUiClassName()
{
    return "GlobalSettings";
}

QIcon GlobalOptions::getIcon()
{
    return QIcon(QPixmap(":/icons/item_global.png"));
}

