/*
 * Part of Xlab Interface
 *
 * Created: 2018-06-12
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef OPTIONS_H
#define OPTIONS_H

#include <QString>
#include <QIcon>
#include "abstractsettings.h"


class Options
{
public:
    Options();
    virtual ~Options();

    virtual QString getName();
    virtual QString getCommonName();
    virtual QString getUiClassName();
    virtual QIcon getIcon();

};


#endif // OPTIONS_H
