/*
 * Part of Xlab Interface
 *
 * Created: 2018-10-14
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef GLOBALSETTINGS_H
#define GLOBALSETTINGS_H

#include <QWidget>

class GlobalOptions;

namespace Ui {
class GlobalSettings;
}

class GlobalSettings : public QWidget
{
    Q_OBJECT

public:
    explicit GlobalSettings(QWidget *parent = nullptr, GlobalOptions *config = nullptr);
    ~GlobalSettings();

    void applyOptions(void);

private:
    Ui::GlobalSettings *ui;
    GlobalOptions *configuration;
    void loadOptions(void);

};

#endif // GLOBALSETTINGS_H
