/*
 * Part of Xlab Interface
 *
 * Created: 2018-06-22
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef SCOPESETTINGS_H
#define SCOPESETTINGS_H

#include <QWidget>

class ScopeOptions;

namespace Ui {
class ScopeSettings;
}

class ScopeSettings : public QWidget
{
    Q_OBJECT

public:
    explicit ScopeSettings(QWidget *parent = nullptr, ScopeOptions *config = nullptr);
    ~ScopeSettings();

    void applyOptions(void);

private:
    Ui::ScopeSettings *ui;
    ScopeOptions *configuration;
    void loadOptions(void);

};

#endif // SCOPESETTINGS_H
